package cn.com.tenlion.systembase.pojo.bos.homicidesuspect;

/**
 *
 * @ClassName: HomicideSuspectBO
 * @Description: 命案犯罪嫌疑人
 * @Author: CodeFactory
 * @Date: 2021-10-19 10:59:12
 * @Version: 3.0
 **/
public class HomicideSuspectBO {

    private String homicideSuspectId;
    private String homicideId;
    private String homicideName;
    private String homicideCode;
    private String cardCode;
    private String cardCodeName;
    private String cardCodeCode;
    private String cardNum;
    private String name;
    private String beforeName;
    private String sex;
    private String sexName;
    private String sexCode;
    private String birthday;
    private String nationality;
    private String nationalityName;
    private String nationalityCode;
    private String nation;
    private String nationName;
    private String nationCode;
    private String nativePlace;
    private String nativePlaceName;
    private String nativePlaceCode;
    private String marital;
    private String maritalName;
    private String maritalCode;
    private String politicalOutlook;
    private String politicalOutlookName;
    private String politicalOutlookCode;
    private String education;
    private String educationName;
    private String educationCode;
    private String religious;
    private String religiousName;
    private String religiousCode;
    private String workType;
    private String workTypeName;
    private String workTypeCode;
    private String work;
    private String servicePremises;
    private String householdRegister;
    private String householdRegisterName;
    private String householdRegisterCode;
    private String householdRegisterAddress;
    private String currentResidence;
    private String currentResidenceName;
    private String currentResidenceCode;
    private String currentResidenceAddress;
    private Integer isMental;
    private Integer isJuveniles;
    private Integer isTeenagers;

    public String getHomicideSuspectId() {
        return homicideSuspectId == null ? "" : homicideSuspectId.trim();
    }

    public void setHomicideSuspectId(String homicideSuspectId) {
        this.homicideSuspectId = homicideSuspectId;
    }

    public String getHomicideId() {
        return homicideId == null ? "" : homicideId.trim();
    }

    public void setHomicideId(String homicideId) {
        this.homicideId = homicideId;
    }

    public String getHomicideName() {
        return homicideName == null ? "" : homicideName.trim();
    }

    public void setHomicideName(String homicideName) {
        this.homicideName = homicideName;
    }

    public String getHomicideCode() {
        return homicideCode == null ? "" : homicideCode.trim();
    }

    public void setHomicideCode(String homicideCode) {
        this.homicideCode = homicideCode;
    }

    public String getCardCode() {
        return cardCode == null ? "" : cardCode.trim();
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getCardCodeName() {
        return cardCodeName == null ? "" : cardCodeName.trim();
    }

    public void setCardCodeName(String cardCodeName) {
        this.cardCodeName = cardCodeName;
    }

    public String getCardCodeCode() {
        return cardCodeCode == null ? "" : cardCodeCode.trim();
    }

    public void setCardCodeCode(String cardCodeCode) {
        this.cardCodeCode = cardCodeCode;
    }

    public String getCardNum() {
        return cardNum == null ? "" : cardNum.trim();
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBeforeName() {
        return beforeName == null ? "" : beforeName.trim();
    }

    public void setBeforeName(String beforeName) {
        this.beforeName = beforeName;
    }

    public String getSex() {
        return sex == null ? "" : sex.trim();
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSexName() {
        return sexName == null ? "" : sexName.trim();
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }

    public String getSexCode() {
        return sexCode == null ? "" : sexCode.trim();
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getBirthday() {
        return birthday == null ? "" : birthday.trim();
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getNationality() {
        return nationality == null ? "" : nationality.trim();
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getNationalityName() {
        return nationalityName == null ? "" : nationalityName.trim();
    }

    public void setNationalityName(String nationalityName) {
        this.nationalityName = nationalityName;
    }

    public String getNationalityCode() {
        return nationalityCode == null ? "" : nationalityCode.trim();
    }

    public void setNationalityCode(String nationalityCode) {
        this.nationalityCode = nationalityCode;
    }

    public String getNation() {
        return nation == null ? "" : nation.trim();
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationName() {
        return nationName == null ? "" : nationName.trim();
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getNationCode() {
        return nationCode == null ? "" : nationCode.trim();
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getNativePlaceName() {
        return nativePlaceName;
    }

    public void setNativePlaceName(String nativePlaceName) {
        this.nativePlaceName = nativePlaceName;
    }

    public String getNativePlaceCode() {
        return nativePlaceCode;
    }

    public void setNativePlaceCode(String nativePlaceCode) {
        this.nativePlaceCode = nativePlaceCode;
    }

    public String getMarital() {
        return marital == null ? "" : marital.trim();
    }

    public void setMarital(String marital) {
        this.marital = marital;
    }

    public String getMaritalName() {
        return maritalName == null ? "" : maritalName.trim();
    }

    public void setMaritalName(String maritalName) {
        this.maritalName = maritalName;
    }

    public String getMaritalCode() {
        return maritalCode == null ? "" : maritalCode.trim();
    }

    public void setMaritalCode(String maritalCode) {
        this.maritalCode = maritalCode;
    }

    public String getPoliticalOutlook() {
        return politicalOutlook == null ? "" : politicalOutlook.trim();
    }

    public void setPoliticalOutlook(String politicalOutlook) {
        this.politicalOutlook = politicalOutlook;
    }

    public String getPoliticalOutlookName() {
        return politicalOutlookName == null ? "" : politicalOutlookName.trim();
    }

    public void setPoliticalOutlookName(String politicalOutlookName) {
        this.politicalOutlookName = politicalOutlookName;
    }

    public String getPoliticalOutlookCode() {
        return politicalOutlookCode == null ? "" : politicalOutlookCode.trim();
    }

    public void setPoliticalOutlookCode(String politicalOutlookCode) {
        this.politicalOutlookCode = politicalOutlookCode;
    }

    public String getEducation() {
        return education == null ? "" : education.trim();
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getEducationName() {
        return educationName == null ? "" : educationName.trim();
    }

    public void setEducationName(String educationName) {
        this.educationName = educationName;
    }

    public String getEducationCode() {
        return educationCode == null ? "" : educationCode.trim();
    }

    public void setEducationCode(String educationCode) {
        this.educationCode = educationCode;
    }

    public String getReligious() {
        return religious == null ? "" : religious.trim();
    }

    public void setReligious(String religious) {
        this.religious = religious;
    }

    public String getReligiousName() {
        return religiousName == null ? "" : religiousName.trim();
    }

    public void setReligiousName(String religiousName) {
        this.religiousName = religiousName;
    }

    public String getReligiousCode() {
        return religiousCode == null ? "" : religiousCode.trim();
    }

    public void setReligiousCode(String religiousCode) {
        this.religiousCode = religiousCode;
    }

    public String getWorkType() {
        return workType == null ? "" : workType.trim();
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getWorkTypeName() {
        return workTypeName == null ? "" : workTypeName.trim();
    }

    public void setWorkTypeName(String workTypeName) {
        this.workTypeName = workTypeName;
    }

    public String getWorkTypeCode() {
        return workTypeCode == null ? "" : workTypeCode.trim();
    }

    public void setWorkTypeCode(String workTypeCode) {
        this.workTypeCode = workTypeCode;
    }

    public String getWork() {
        return work == null ? "" : work.trim();
    }

    public void setWork(String work) {
        this.work = work;
    }

    public String getServicePremises() {
        return servicePremises == null ? "" : servicePremises.trim();
    }

    public void setServicePremises(String servicePremises) {
        this.servicePremises = servicePremises;
    }

    public String getHouseholdRegister() {
        return householdRegister == null ? "" : householdRegister.trim();
    }

    public void setHouseholdRegister(String householdRegister) {
        this.householdRegister = householdRegister;
    }

    public String getHouseholdRegisterName() {
        return householdRegisterName == null ? "" : householdRegisterName.trim();
    }

    public void setHouseholdRegisterName(String householdRegisterName) {
        this.householdRegisterName = householdRegisterName;
    }

    public String getHouseholdRegisterCode() {
        return householdRegisterCode == null ? "" : householdRegisterCode.trim();
    }

    public void setHouseholdRegisterCode(String householdRegisterCode) {
        this.householdRegisterCode = householdRegisterCode;
    }

    public String getHouseholdRegisterAddress() {
        return householdRegisterAddress == null ? "" : householdRegisterAddress.trim();
    }

    public void setHouseholdRegisterAddress(String householdRegisterAddress) {
        this.householdRegisterAddress = householdRegisterAddress;
    }

    public String getCurrentResidence() {
        return currentResidence == null ? "" : currentResidence.trim();
    }

    public void setCurrentResidence(String currentResidence) {
        this.currentResidence = currentResidence;
    }

    public String getCurrentResidenceName() {
        return currentResidenceName == null ? "" : currentResidenceName.trim();
    }

    public void setCurrentResidenceName(String currentResidenceName) {
        this.currentResidenceName = currentResidenceName;
    }

    public String getCurrentResidenceCode() {
        return currentResidenceCode == null ? "" : currentResidenceCode.trim();
    }

    public void setCurrentResidenceCode(String currentResidenceCode) {
        this.currentResidenceCode = currentResidenceCode;
    }

    public String getCurrentResidenceAddress() {
        return currentResidenceAddress == null ? "" : currentResidenceAddress.trim();
    }

    public void setCurrentResidenceAddress(String currentResidenceAddress) {
        this.currentResidenceAddress = currentResidenceAddress;
    }

    public Integer getIsMental() {
        return isMental == null ? 0 : isMental;
    }

    public void setIsMental(Integer isMental) {
        this.isMental = isMental;
    }

    public Integer getIsJuveniles() {
        return isJuveniles == null ? 0 : isJuveniles;
    }

    public void setIsJuveniles(Integer isJuveniles) {
        this.isJuveniles = isJuveniles;
    }

    public Integer getIsTeenagers() {
        return isTeenagers == null ? 0 : isTeenagers;
    }

    public void setIsTeenagers(Integer isTeenagers) {
        this.isTeenagers = isTeenagers;
    }

}
